<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:itst="http://itstool.org/extensions/" type="topic" style="task" id="nautilus-file-properties-permissions" xml:lang="pa">

  <info>
    <its:rules xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0" xlink:type="simple" xlink:href="gnome-help.its"/>

    <link type="guide" xref="files#faq"/>
    <link type="seealso" xref="nautilus-file-properties-basic"/>

    <desc>Control who can view and edit your files and folders.</desc>

    <revision pkgversion="3.6.0" version="0.2" date="2012-09-28" status="review"/>

    <credit type="author">
      <name>Tiffany Antopolski</name>
      <email>tiffany@antopolski.com</email>
    </credit>
    <credit type="author">
      <name>Shaun McCance</name>
      <email>shaunm@gnome.org</email>
    </credit>
    <credit type="editor">
      <name>Michael Hill</name>
      <email>mdhillca@gmail.com</email>
    </credit>
    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>
  </info>
  <title>ਫਾਇਲ ਅਧਿਕਾਰ ਸੈੱਟ ਕਰੋ</title>

  <p>You can use file permissions to control who can view and edit files that
  you own. To view and set the permissions for a file, right click it and
  select <gui>Properties</gui>, then select the <gui>Permissions</gui> tab.</p>

  <p>See <link xref="#files"/> and <link xref="#folders"/> below for details
  on the types of permissions you can set.</p>

  <section id="files">
    <title>ਫਾਇਲਾਂ</title>

    <p>You can set the permissions for the file owner, the group owner,
    and all other users of the system. For your files, you are the owner,
    and you can give yourself read-only or read-and-write permission.
    Set a file to read-only if you don’t want to accidentally change it.</p>

    <p>Every user on your computer belongs to a group. On home computers,
    it is common for each user to have their own group, and group permissions
    are not often used. In corporate environments, groups are sometimes used
    for departments or projects. As well as having an owner, each file belongs
    to a group. You can set the file’s group and control the permissions for
    all users in that group. You can only set the file’s group to a group you
    belong to.</p>

    <p>You can also set the permissions for users other than the owner and
    those in the file’s group.</p>

    <p>If the file is a program, such as a script, you must select <gui>Allow
    executing file as program</gui> to run it. Even with this option selected,
    the file manager will still open the file in an application. See
    <link xref="nautilus-behavior#executable"/> for more information.</p>
  </section>

  <section id="folders">
    <title>ਫੋਲਡਰ</title>
    <p>You can set permissions on folders for the owner, group, and other users.
    See the details of file permissions above for an explanation of owners,
    groups, and other users.</p>
    <p>The permissions you can set for a folder are different from those you
    can set for a file.</p>
    <terms>
      <item>
        <title><gui itst:context="permission">None</gui></title>
        <p>The user will not even be able to see what files are in
        the folder.</p>
      </item>
      <item>
        <title><gui>ਸਿਰਫ਼ ਫਾਇਲ ਲਿਸਟ</gui></title>
        <p>The user will be able to see what files are in the folder,
        but will not be able to open, create, or delete files.</p>
      </item>
      <item>
        <title><gui>ਫਾਇਲ ਪਹੁੰਚ</gui></title>
        <p>The user will be able to open files in the folder (provided
        they have permission to do so on the particular file), but will
        not be able to create new files or delete files.</p>
      </item>
      <item>
        <title><gui>ਫਾਇਲਾਂ ਬਣਾਉਣ ਅਤੇ ਹਟਾਓ</gui></title>
        <p>The user will have full access to the folder, including
        opening, creating, and deleting files.</p>
      </item>
    </terms>

    <p>You can also quickly set the file permissions for all the files
    in the folder by clicking <gui>Change Permissions for Enclosed Files</gui>.
    Use the drop-down lists to adjust the permissions of contained files or
    folders, and click <gui>Change</gui>. Permissions are applied to files and
    folders in subfolders as well, to any depth.</p>
  </section>

</page>
